Omni Group getting ready for Leopard

For years OmniApps have been among of the most recommended apps for MacOSX users and so quite a few people probably asked the support staff one and the same question over and over again: Will Omni* work on Leopard?


To answer this question, the Omni Group has created a Leopard-status site where users can easily see, what apps and in what versions are available if you happen to run MacOS 10.5.x. Since I’m currently thinking about getting OmniGraffle 4.x PRO in order to be able to interact with my MS Visio-loving co-workers, this comes as great news to me :D

comments powered by Disqus